Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.xsql
Class XSQLParserHelper

    java.lang.Object
      |
      +--oracle.xml.xsql.XSQLParserHelper

public final class XSQLParserHelper
extends java.lang.Object

Common XML Parsing Routines

Constructor Summary
`XSQLParserHelper()`

Method Summary
`static Document` | `newDocument()`
`static Document` | `parse(java.io.InputStream is, java.net.URL baseUrl, java.io.PrintWriter errorWriter)`
`static Document` | `parse(java.io.Reader r, java.io.PrintWriter errorWriter)`
`static Document` | `parse(java.io.Reader r, java.net.URL baseUrl, java.io.PrintWriter errorWriter)`
`static Document` | `parse(java.net.URL url, java.io.PrintWriter errorWriter)`
`static Document` | `parseFromString(java.lang.StringBuffer xmlString, java.io.PrintWriter errorWriter)`
`static Document` | `parseFromString(java.lang.String xmlString, java.io.PrintWriter errorWriter)`
`static void` | `print(Document d, java.io.OutputStream out)`
`static void` | `print(Document d, java.io.PrintWriter out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSQLParserHelper

    public XSQLParserHelper()

Method Detail

### parseFromString

    public static Document parseFromString(java.lang.String xmlString,
                                           java.io.PrintWriter errorWriter)
                                    throws java.net.MalformedURLException,
                                           java.io.IOException,
    SAXParseException,
    SAXException

    `java.net.MalformedURLException`
    `java.io.IOException`
    `SAXParseException`
    `SAXException`

### parseFromString

    public static Document parseFromString(java.lang.StringBuffer xmlString,
                                           java.io.PrintWriter errorWriter)
                                    throws java.net.MalformedURLException,
                                           java.io.IOException,
    SAXParseException,
    SAXException

    `java.net.MalformedURLException`
    `java.io.IOException`
    `SAXParseException`
    `SAXException`

### parse

    public static Document parse(java.net.URL url,
                                 java.io.PrintWriter errorWriter)
                          throws java.io.IOException,
    SAXParseException,
    SAXException

    `java.io.IOException`
    `SAXParseException`
    `SAXException`

### parse

    public static Document parse(java.io.Reader r,
                                 java.net.URL baseUrl,
                                 java.io.PrintWriter errorWriter)
                          throws java.io.IOException,
    SAXParseException,
    SAXException

    `java.io.IOException`
    `SAXParseException`
    `SAXException`

### parse

    public static Document parse(java.io.InputStream is,
                                 java.net.URL baseUrl,
                                 java.io.PrintWriter errorWriter)
                          throws java.io.IOException,
    SAXParseException,
    SAXException

    `java.io.IOException`
    `SAXParseException`
    `SAXException`

### parse

    public static Document parse(java.io.Reader r,
                                 java.io.PrintWriter errorWriter)
                          throws SAXParseException,
    SAXException

    `SAXParseException`
    `SAXException`

### newDocument

    public static Document newDocument()

### print

    public static void print(Document d,
                             java.io.OutputStream out)

### print

    public static void print(Document d,
                             java.io.PrintWriter out)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.